Attribute VB_Name = "ChangeIniFilesModule"
Option Explicit

Declare Function GetPrivateProfileString Lib _
"kernel32.dll" Alias "GetPrivateProfileStringA" _
(ByVal lpAppName As String, ByVal lpKeyName As _
String, ByVal lpDefault As String, ByVal _
lpReturnedString As String, ByVal nSize As Integer, _
ByVal lpFileName As String) As Integer

Declare Function WritePrivateProfileString Lib _
"kernel32.dll" Alias "WritePrivateProfileStringA" _
(ByVal lpAppName As String, ByVal lpKeyName As _
String, ByVal lpString As String, ByVal lpFileName _
As String) As Integer

Function GetIniString(ByVal GetStringAppName As String, ByVal IniKey As String, ByVal IniFile As String) As String
On Error Resume Next
Dim GetIniStringTemp As String * 50000
GetPrivateProfileString GetStringAppName, IniKey, "", GetIniStringTemp, 2048, IniFile
GetIniString = Left(GetIniStringTemp, InStr(GetIniStringTemp, vbNullChar) - 1)
End Function

Function WriteIniString(ByVal WriteStringAppName As String, ByVal IniKey As String, ByVal KeyString As String, ByVal IniFile As String) As Integer
On Error Resume Next
WriteIniString = WritePrivateProfileString(WriteStringAppName, IniKey, KeyString, IniFile)
End Function

